Bug 72421 - Bad images in PDF files
Bad images in PDF files
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: ghostscript (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-23 12:32 EDT by Daniel Lacroix
Modified: 2007-04-18 12:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 13:33:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Correction of the bug. Add to the list of patch to apply in the .spec file before compilation (2.63 KB, patch)
2002-08-23 12:33 EDT, Daniel Lacroix
no flags Details | Diff
The new spec file with the patch for ghostscript source RPM (28.81 KB, text/plain)
2002-08-23 12:36 EDT, Daniel Lacroix
no flags Details

  None (edit)
Description Daniel Lacroix 2002-08-23 12:32:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
When generating PDF files from (for example) DVI files, if DVI file include EPS
images, generated image in PDF files are ugly.
Image are heavily compressed (too much) and colors are spreading out.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a .tex document with an EPS image
2. Create a DVI file : latex my.tex
3. Create a PDF file : dvipdf my.dvi
4. Look the result : acroread my.pdf

You can also see the result with :
1. Create an EPS image
2. Convert to PDF with convert command : convert my.eps my.pdf
3. Look at the result

In both case, the image must be at least 64x64 pixels.
	

Actual Results:  Ugly image. For example, an image with a grey surface and a
black line (one pixel width) result in an image with a red and blue-green line
and bad borders and JPEG artefacts.

Expected Results:  Correct image.

Additional info:

I can provide a patch for the RedHat version of ghostscript. I also have
corrected release of the following files :

ghostscript-6.52-8.i386.rpm
ghostscript-6.52-8.src.rpm

Ask if needed.
Comment 1 Daniel Lacroix 2002-08-23 12:33:38 EDT
Created attachment 72604 [details]
Correction of the bug. Add to the list of patch to apply in the .spec file before compilation
Comment 2 Daniel Lacroix 2002-08-23 12:36:00 EDT
Created attachment 72605 [details]
The new spec file with the patch for ghostscript source RPM
Comment 3 Tim Waugh 2002-08-23 12:51:29 EDT
Thanks.
Comment 4 Bill Nottingham 2006-08-05 01:50:33 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 5 Bill Nottingham 2006-10-18 13:33:52 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.